| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase Class Reference

IComparer that compares the key first and then eventually the value and finally the additional ordering parameter, dependent on constructor parameters. More...

Inheritance diagram for IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase:
[legend]
Collaboration diagram for IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase:
[legend]

List of all members.

## Public Member Functions
| ComparerKeyBase (bool twoStage, bool strict)
## Protected Member Functions
override IComparable | GetFirstStageCompared (KeyValueSortable< Tkey, Tvalue > keyValue)
| Extracts the object used in the first level of comparison from the argument.
override IComparable | GetSecondStageCompared (KeyValueSortable< Tkey, Tvalue > keyValue)
| Extracts the object used in the second level of comparison from the argument.

## Detailed Description

### template<Tkey, Tvalue>
class IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase

IComparer that compares the key first and then eventually the value and finally the additional ordering parameter, dependent on constructor parameters.

## Constructor & Destructor Documentation

template<Tkey , Tvalue >

IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase::ComparerKeyBase | ( | bool | twoStage,
|  | bool | strict
| ) |  | `[inline]`

## Member Function Documentation

template<Tkey , Tvalue >

override IComparable IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase::GetFirstStageCompared | ( | KeyValueSortable< Tkey, Tvalue > | keyValue | ) | `[inline, protected, virtual]`

Extracts the object used in the first level of comparison from the argument.

Implements IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerBase.

template<Tkey , Tvalue >

override IComparable IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerKeyBase::GetSecondStageCompared | ( | KeyValueSortable< Tkey, Tvalue > | keyValue | ) | `[inline, protected, virtual]`

Extracts the object used in the second level of comparison from the argument.

Implements IG::Lib::KeyValueSortable< Tkey, Tvalue >::ComparerBase.

The documentation for this class was generated from the following file:

- Utils.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events